LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XInvocation2 Interface Referencepublished

Extension of XInvocation to provide additional information about the methods and properties that are accessible via XInvocation. More...

`import"XInvocation2.idl";`

Inheritance diagram for XInvocation2:

## Public Member Functions
sequence< string > | getMemberNames ()
| returns the names of all methods and properties accessible via XInvocation. More...
sequence< InvocationInfo > | getInfo ()
| returns information items for all methods and properties accessible via XInvocation. More...
InvocationInfo | getInfoForName ([in] string aName, [in] boolean bExact) raises ( com::sun::star::lang::IllegalArgumentException )
| returns information item for the method or property defined by aName More...
Public Member Functions inherited from XInvocation
com::sun::star::beans::XIntrospectionAccess | getIntrospection ()
| returns the introspection from this object or `NULL` if the object does not provide this information. More...
any | invoke ([in] string aFunctionName, [in] sequence< any > aParams, [out] sequence< short > aOutParamIndex, [out] sequence< any > aOutParam) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::script::CannotConvertException, com::sun::star::reflection::InvocationTargetException )
| provides access to methods exposed by an object. More...
void | setValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::script::CannotConvertException, com::sun::star::reflection::InvocationTargetException )
| sets a value to the property with the specified name. More...
any | getValue ([in] string aPropertyName) raises ( com::sun::star::beans::UnknownPropertyException )
| returns the value of the property with the specified name. More...
boolean | hasMethod ([in] string aName)
| returns `TRUE` if the method with the specified name exists, else `FALSE`. More...
boolean | hasProperty ([in] string aName)
| returns `TRUE` if the property with the specified name exists, else `FALSE`. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Extension of XInvocation to provide additional information about the methods and properties that are accessible via XInvocation.

## Member Function Documentation

## ◆ getInfo()

sequence< InvocationInfo > getInfo | ( |  | ) |

returns information items for all methods and properties accessible via XInvocation.

See also
  com::sun::star::script::Invocation

## ◆ getInfoForName()

InvocationInfo getInfoForName | ( | [in] string | aName,
|  | [in] boolean | bExact
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

returns information item for the method or property defined by aName

Parameters

  aName | specifies the name of the method or property
  bExact | specifies the name of the method or property

Exceptions

  IllegalArgumentException | if aName is not the name of a supported method or property

See also
  com::sun::star::script::Invocation

## ◆ getMemberNames()

sequence< string > getMemberNames | ( |  | ) |

returns the names of all methods and properties accessible via XInvocation.

The documentation for this interface was generated from the following file:

- com/sun/star/script/XInvocation2.idl